WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: tc-wbarconf still use fltk-1.1 on armv6  (Read 427 times)

Offline polikuo

  • Full Member
  • ***
  • Posts: 185
tc-wbarconf still use fltk-1.1 on armv6
« on: November 27, 2016, 07:46:56 AM »
@bmarkus

On piCore-8.0

Code: [Select]
tc-wbarconf: error while loading shared libraries: libfltk.so.1.1: cannot open shared object file: No such file or directory

I grab the source code and compile it with fltk-1.3
It works fine

Offline polikuo

  • Full Member
  • ***
  • Posts: 185
Re: tc-wbarconf still use fltk-1.1 on armv6
« Reply #1 on: November 27, 2016, 09:31:51 PM »
I took a look at it and find out there are two extensions contain tc-wbarconf
wbar.tcz and Xprogs.tcz
The wbar.tcz one is compiled against fltk-1.1 when the Xprogs.tcz one goes with fltk-1.3
If one load wbar.tcz before Xprogs.tcz, it'll be unusable
Please update the wbar one

BTW, on both x86 and x64 platform
tc-wbarconf only present in wbar.tcz
« Last Edit: November 27, 2016, 09:45:20 PM by polikuo »

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9367
Re: tc-wbarconf still use fltk-1.1 on armv6
« Reply #2 on: March 07, 2017, 04:04:07 AM »
fixed